% SphDistance  Compute minimum distance between the intersections of 2 vectors or matrices with the unit sphere


function d = SphDistance(w1,w2)

v1 = w1(:) / norm(w1(:));
v2 = w2(:) / norm(w2(:));
d  = min(norm(v1-v2),norm(v1+v2))/sqrt(2);
