% Function to calculate distances between a fundamental matrix and an set
% of matched points.
% Input x contains the homogeneous coordinates of the matched points in both images.


function [inliers, F] = fund_dist(F, x, t)

% Homogeneous coordinates of points in both images
x1 = x(1:3,:);
x2 = x(4:6,:);

% Distance from each point correspondence to the fundamental matrix.
dSquared = SqrdErrVec_fundmat_Sampson(F,x1,x2)

% Compare (squared) distances to (squared) threshold to find inliers
inliers = ;
