% Function to define a line given two data points as required by RANSAC. 
% We use the homogeneous coordinates of the line to define it

function M = line_fitting(x)
x1 = [x(:,1); 1]; % one point
x2 = [x(:,2); 1]; % another point
M = cross(x1,x2); % homog coordinates of the line through both points
