% Function to determine whether two points are in a degenerate
% configuration for fitting a line as required by RANSAC.  
% In this case they are degenerate if they are the same point

function r = line_isdegenerate(x)
r = norm(x(:,1) - x(:,2)) < eps;
